Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::font_style_node Class Reference
[Nodes]

Inheritance diagram for openvrml::font_style_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for font style nodes.

## Public Member Functions
virtual | ~font_style_node ()=0 throw ()
| Destroy.
virtual const std::vector< std::string > & | family () const =0 throw ()
| Get the list of font families.
virtual bool | horizontal () const =0 throw ()
| Get the flag indicating whether the text should be horizontal or vertical.
virtual const std::vector< std::string > & | justify () const =0 throw ()
| Get the descriptor for the text justification.
virtual const std::string & | language () const =0 throw ()
| Get the language code.
virtual bool | left_to_right () const =0 throw ()
| Get the flag indicating whether the text should be rendered left-to-right.
virtual float | size () const =0 throw ()
| Get the size of the text.
virtual float | spacing () const =0 throw ()
| Get the spacing for the text.
virtual const std::string & | style () const =0 throw ()
| Get the style for the text.
virtual bool | top_to_bottom () const =0 throw ()
| Get the flag indicating whether the text should be rendered top-to-bottom.
## Protected Member Functions
| font_style_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.
## Private Member Functions
virtual font_style_node * | to_font_style () throw ()
| Cast to a font_style_node.

## Constructor & Destructor Documentation

openvrml::font_style_node::~font_style_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy. Implemented in openvrml::vrml97_node::font_style_node.

openvrml::font_style_node::font_style_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

  | Construct. Parameters:
  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.
Reimplemented in openvrml::vrml97_node::font_style_node.

## Member Function Documentation

const std::vector< std::string > & openvrml::font_style_node::family | ( |  | ) | const throw ()`[pure virtual]`

| Get the list of font families. Returns: the font families that may be used for this FontStyle. Implemented in openvrml::vrml97_node::font_style_node.

bool openvrml::font_style_node::horizontal | ( |  | ) | const throw ()`[pure virtual]`

| Get the flag indicating whether the text should be horizontal or vertical. Returns: `true` if the text should be horizontal, or `false` if the text should be vertical. Implemented in openvrml::vrml97_node::font_style_node.

const std::vector< std::string > & openvrml::font_style_node::justify | ( |  | ) | const throw ()`[pure virtual]`

| Get the descriptor for the text justification. Returns: the characteristics of the text justification. Implemented in openvrml::vrml97_node::font_style_node.

const std::string & openvrml::font_style_node::language | ( |  | ) | const throw ()`[pure virtual]`

| Get the language code. Returns: the language code. Implemented in openvrml::vrml97_node::font_style_node.

bool openvrml::font_style_node::left_to_right | ( |  | ) | const throw ()`[pure virtual]`

| Get the flag indicating whether the text should be rendered left-to-right. Returns: `true` if the text should be rendered left-to-right, or `false` if the text should be rendered right-to-left. Implemented in openvrml::vrml97_node::font_style_node.

float openvrml::font_style_node::size | ( |  | ) | const throw ()`[pure virtual]`

| Get the size of the text. Returns: the size of the text. Implemented in openvrml::vrml97_node::font_style_node.

float openvrml::font_style_node::spacing | ( |  | ) | const throw ()`[pure virtual]`

| Get the spacing for the text. Returns: the spacing for the text. Implemented in openvrml::vrml97_node::font_style_node.

const std::string & openvrml::font_style_node::style | ( |  | ) | const throw ()`[pure virtual]`

| Get the style for the text. Returns: the text style. Implemented in openvrml::vrml97_node::font_style_node.

bool openvrml::font_style_node::top_to_bottom | ( |  | ) | const throw ()`[pure virtual]`

| Get the flag indicating whether the text should be rendered top-to-bottom. Returns: `true` if the text should be rendered top-to-bottom, or `false` if the text should be rendered bottom-to-top. Implemented in openvrml::vrml97_node::font_style_node.

font_style_node * openvrml::font_style_node::to_font_style | ( |  | ) | throw ()`[private, virtual]`

| Cast to a font_style_node. Returns: a pointer to this font_style_node. Reimplemented from openvrml::node.